/*
 * $Id: rc5_codes.h 11 2009-10-14 06:21:07Z andreas $
 */

/*
 * Copyright (c) 2006-2009 Andreas Schroeder <andreas@a-netz.de>
 *
 * Implement functions of an infrared remote control and RC5 protocol with an
 * Atmel AVR controller.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * \file
 * These are the device and command codes as defined by Philips for the
 * RC5 protocol.
 *
 * This list is not complete.
 */

#ifndef RC5CODES_H
#define RC5CODES_H

/*
 * Device codes
 */
/** Television 1 device code*/
#define RC5_DEV_TV1                   0x00
/** Television 2 device code*/
#define RC5_DEV_TV2                   0x01
/** Teletext device code*/
#define RC5_DEV_TELETEXT              0x02
/** Video device code */
#define RC5_DEV_VIDEO                 0x03
/** LV1 device code */
#define RC5_DEV_LV1                   0x04
/** VCR1 device code */
#define RC5_DEV_VCR1                  0x05
/** VCR2 device code */
#define RC5_DEV_VCR2                  0x06
/** Experimental device code */
#define RC5_DEV_EXPERIMENTAL          0x07
/** Sat receiver 1 device code */
#define RC5_DEV_SAT1                  0x08
/** Camera device code */
#define RC5_DEV_CAMERA                0x09
/** Sat receiver 2 device code */
#define RC5_DEV_SAT2                  0x0a
/** Unknown 1 device code */
#define RC5_DEV_UNKNOWN1              0x0b
/** CDV device code */
#define RC5_DEV_CDV                   0x0c
/** Camcorder device code */
#define RC5_DEV_CAMCORDER             0x0d
/** Unknown 2 device code */
#define RC5_DEV_UNKNOWN2              0x0e
/** Unknown 3 device code */
#define RC5_DEV_UNKNOWN3              0x0f
/** Pre-amplifier device code */
#define RC5_DEV_PREAMP1               0x10
/** Tuner device code */
#define RC5_DEV_TUNER                 0x11
/** Recorder 1 device code */
#define RC5_DEV_RECORDER1             0x12
/** Pre-amplifier 2 device code */
#define RC5_DEV_PREAMP2               0x13
/** CD-Player device code */
#define RC5_DEV_CDPLAYER              0x14
/** Phono device code */
#define RC5_DEV_PHONO                 0x15
/** SAT A device code */
#define RC5_DEV_SAT_A                 0x16
/** Recorder 2 device code */
#define RC5_DEV_RECORDER2             0x17
/** Unknown 4 device code */
#define RC5_DEV_UNKNOWN4              0x18
/** Unknown 5 device code */
#define RC5_DEV_UNKNOWN5              0x19
/** CDR device code */
#define RC5_DEV_CDR                   0x1a
/** Unknown 6 device code */
#define RC5_DEV_UNKNOWN6              0x1b
/** Unknown 7 device code */
#define RC5_DEV_UNKNOWN7              0x1c
/** Lighting 1 device code */
#define RC5_DEV_LIGHTING1             0x1d
/** Lighting 2 device code */
#define RC5_DEV_LIGHTING2             0x1e
/** Phone device code */
#define RC5_DEV_PHONE                 0x1f

/*
 * Command codes
 */
/** Numeric 0 command code */
#define RC5_CMD_0                     0x00
/** Numeric 1 command code */
#define RC5_CMD_1                     0x01
/** Numeric 2 command code */
#define RC5_CMD_2                     0x02
/** Numeric 3 command code */
#define RC5_CMD_3                     0x03
/** Numeric 4 command code */
#define RC5_CMD_4                     0x04
/** Numeric 5 command code */
#define RC5_CMD_5                     0x05
/** Numeric 6 command code */
#define RC5_CMD_6                     0x06
/** Numeric 7 command code */
#define RC5_CMD_7                     0x07
/** Numeric 8 command code */
#define RC5_CMD_8                     0x08
/** Numeric 9 command code */
#define RC5_CMD_9                     0x09
/** Unknown 1 command code */
#define RC5_CMD_UNKNOWN1              0x0a
/** Unknown 2 command code */
#define RC5_CMD_UNKNOWN2              0x0b
/** Standby command code */
#define RC5_CMD_STANDBY               0x0c
/** Mute command code */
#define RC5_CMD_MUTE                  0x0d
/** Unknown 3 command code */
#define RC5_CMD_UNKNOWN3              0x0e
/** Unknown 4 command code */
#define RC5_CMD_UNKNOWN4              0x0f
/** Volume increase command code */
#define RC5_CMD_VOLUME_INC            0x10
/** Volume decrease command code */
#define RC5_CMD_VOLUME_DEC            0x11
/** Brightness increase command code */
#define RC5_CMD_BRIGHTNESS_INC        0x12
/** Brightness decrease command code */
#define RC5_CMD_BRIGHTNESS_DEC        0x13
/** Program increase command code */
#define RC5_CMD_PROGRAM_INC           0x20
/** Program decrease command code */
#define RC5_CMD_PROGRAM_DEC           0x21


#endif // RC5CODES_H
